#include <stdio.h>
#include "analysis.h"
#include "util.h"
#include "config.h"
#include <sysexits.h>

void usage(void) {
	fprintf(stderr,"%s","To use this, run songanalysis /path/to/file/to/analyze.mp3\n");
	fprintf(stderr,"%s","To find out which version this is, run songanalysis -V\n");
	fprintf(stderr,"%s","To find out which interface version this is, run songanalysis -N\n");
}

#define INTERFACE_VERSION "3"

int main(int argc, char **argv) {

	fprintf(stderr,"%s","Song analysis, yeah!\n");
	if (argc < 2) {
		usage();
		return EX_USAGE;
	}
	if (strcmp(argv[1],"-V") == 0) {
		printf("%s\n",VERSION);
		return EX_OK;
	}
	if (strcmp(argv[1],"-N") == 0) {
		printf("%s\n",INTERFACE_VERSION);
		return EX_OK;
	}
	gboolean retvalue = analyze(argv[1]);
	if (!retvalue) {
	fprintf(stderr,"%s","Song analysis failed\n");
	return EX_SOFTWARE;
	}
	return EX_OK;

}

